Yet Another HTTP Library: YaHTTP::HTTPBase Class Reference

Yet Another HTTP Library yahttp

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | Public Attributes | Protected Member Functions | List of all members
YaHTTP::HTTPBase Class Reference

`#include <reqresp.hpp>`

Inheritance diagram for YaHTTP::HTTPBase:
[legend]
Collaboration diagram for YaHTTP::HTTPBase:
[legend]

## Classes
class | SendBodyRender
class | SendFileRender

## Public Member Functions
| HTTPBase ()
virtual void | initialize ()
void | write (std::ostream &os) const
strstr_map_t & | GET ()
strstr_map_t & | POST ()
strcookie_map_t & | COOKIES ()
std::string | versionStr (int version) const
std::string | str () const

## Public Attributes
URL | url
int | kind
int | status
int | version
std::string | statusText
std::string | method
strstr_map_t | headers
CookieJar | jar
strstr_map_t | postvars
strstr_map_t | getvars
strstr_map_t | parameters
std::string | routeName
std::string | body
ssize_t | max_request_size
ssize_t | max_response_size
funcptr::function< size_t(const HTTPBase *, std::ostream &, bool)> | renderer

## Protected Member Functions
| HTTPBase (const HTTPBase &rhs)
HTTPBase & | operator= (const HTTPBase &rhs)

## Detailed Description

Base class for request and response

## Constructor & Destructor Documentation

YaHTTP::HTTPBase::HTTPBase | ( |  | ) |
| inline

YaHTTP::HTTPBase::HTTPBase | ( | const HTTPBase & | rhs | ) |
| inlineprotected

## Member Function Documentation

strcookie_map_t& YaHTTP::HTTPBase::COOKIES | ( |  | ) |
| inline

strstr_map_t& YaHTTP::HTTPBase::GET | ( |  | ) |
| inline

virtual void YaHTTP::HTTPBase::initialize | ( |  | ) |
| inlinevirtual

Reimplemented in YaHTTP::Request, and YaHTTP::Response.

HTTPBase& YaHTTP::HTTPBase::operator= | ( | const HTTPBase & | rhs | ) |
| inlineprotected

strstr_map_t& YaHTTP::HTTPBase::POST | ( |  | ) |
| inline

std::string YaHTTP::HTTPBase::str | ( |  | ) | const
| inline

std::string YaHTTP::HTTPBase::versionStr | ( | int | version | ) | const
| inline

void YaHTTP::HTTPBase::write | ( | std::ostream & | os | ) | const

## Member Data Documentation

std::string YaHTTP::HTTPBase::body

strstr_map_t YaHTTP::HTTPBase::getvars

strstr_map_t YaHTTP::HTTPBase::headers

CookieJar YaHTTP::HTTPBase::jar

int YaHTTP::HTTPBase::kind

ssize_t YaHTTP::HTTPBase::max_request_size

ssize_t YaHTTP::HTTPBase::max_response_size

std::string YaHTTP::HTTPBase::method

strstr_map_t YaHTTP::HTTPBase::parameters

strstr_map_t YaHTTP::HTTPBase::postvars

funcptr::function<size_t(const HTTPBase*,std::ostream&,bool)> YaHTTP::HTTPBase::renderer

std::string YaHTTP::HTTPBase::routeName

int YaHTTP::HTTPBase::status

std::string YaHTTP::HTTPBase::statusText

URL YaHTTP::HTTPBase::url

int YaHTTP::HTTPBase::version

The documentation for this class was generated from the following files:

- /home/cmouse/projects/libyahttp/yahttp/reqresp.hpp
- /home/cmouse/projects/libyahttp/yahttp/reqresp.cpp